Subject: Re: bug#40225: 27.0.90; abort with apparent stack explosion in lsp-mode

From: Valtteri Vuorikoski <[email-masked]>
Date: Sun, 12 Apr 2020 13:40:46 +0300

On 2020-03-31 18:53, Eli Zaretskii wrote:
> This does look like stack overflow.  Can you enlarge the stack size of
> your Emacs and see if that helps?

After a week with stack limit set to 16MB instead of the default 8MB, 
the same crash still happens but more rarely. Maybe once in a few days 
now, previously once in a few hours. There's no warning for an 
approaching crash: emacs will be running just fine with no lag or 
anything until it suddenly dies, essentially always on a mouse event 
(either setting point, wheel scroll or clicking on a tab-line-mode tab).

I also restored gc-cons-threshold to the default value, but that didn't 
seem to have much effect. I guess I'll try disabling as many packages as 
possible and see if something helps.

  -Valtteri